# CHANGELOG
The format is based on [Keep a Changelog](https://keepachangelog.com/), and this project adheres to [Semantic Versioning](https://semver.org/).

## [1.6.0] - 2024-12-10
### Fixed
- IGNGPF-4493: throw warn if srs is missing from file
- Update docs links

## [1.5.0] - 2024-11-12
### Fixed
- IGNGPF-4356: upgrade gpf-entrepot-toolbelt -> 1.13.0

## [1.4.3] - 2024-10-21
### Fixed
- IGNGPF-4401: pdal_merge do nothing when input files list is empty
- IGNGPF-4401: correct min/max coord return same coordinate if tile_size <= 0

## [1.4.2] - 2024-10-18
### Fixed
- IGNGPF-4381: return bboxes only in 4326
- IGNGPF-4364: entwine param reprojection dict instead of str

## [1.4.1] - 2024-10-11
### Fixed
- IGNGPF-4364: add get_srs method

## [1.4.0] - 2024-10-09
### Fixed
- IGNGPF-4349: fix default value condition on pdal_tile_parameters
- IGNGPF-4336: Catch VPC reading errors
- IGNGPF-4336: compute extent may return à None value

## [1.3.0] - 2024-10-07
### Changed
- IGNGPF-4319: Returns bbox when checking las laz consistency

## [1.2.1] - 2024-09-24
### Added
- IGNGPF-4300: Template checking function

## [1.2.0] - 2024-09-19
### Fixed
- IGNGPF-4264: fix get_name_from_template

## [1.1.4] - 2024-08-05
### Added
- IGNGPF-3686: add pdal utility functions merge, tile, convert to copc, build vpc

## [1.1.3] - 2024-07-31
### Added
- add tmp in entwine_param

## [1.1.2] - 2024-07-29
### Fixed
- set min result of determine_subsets_number at 4

## [1.1.1] - 2024-07-26
### Changed
- Entwine utils get extent return EPSG:4326
- fix Dockerfile

## [1.1.0] - 2024-07-26
### Added
- Vpc utils and models
- Entwine utils and models

## [1.0.0] - 2024-07-19
### Added
- Init project
- Laslaz and pdal utils

[1.6.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.5.0...v1.6.0
[1.5.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.4.3...v1.5.0
[1.4.3]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.4.2...v1.4.3
[1.4.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.4.1...v1.4.2
[1.4.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.4.0...v1.4.1
[1.4.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.3.0...v1.4.0
[1.3.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.2.1...v1.3.0
[1.2.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.2.0...v1.2.1
[1.2.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.1.4...v1.2.0
[1.1.4]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.1.3...v1.1.4
[1.1.3]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.1.2...v1.1.3
[1.1.2]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.1.1...v1.1.2
[1.1.1]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.1.0...v1.1.1
[1.1.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/compare/v1.0.0...v1.1.0
[1.0.0]: https://gitlab.gpf-tech.ign.fr/geoplateforme/common-py/gpf-common-point-cloud/-/tags/v1.0.0
